- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Functions
Elementary Profile

Profiles are pre-set options that affect the whole look-and-feel of Elementary-based applications. More...

## Functions
const char * | elm_config_profile_get (void)
| Get Elementary's profile in use. More...
const char * | elm_config_profile_dir_get (const char *profile, Eina_Bool is_user)
| Get an Elementary's profile directory path in the filesystem. More...
void | elm_config_profile_dir_free (const char *p_dir)
| Free an Elementary's profile directory path, as returned by elm_config_profile_dir_get(). More...
Eina_List * | elm_config_profile_list_get (void)
| Get Elementary's list of available profiles. More...
void | elm_config_profile_list_free (Eina_List *l)
| Free Elementary's list of available profiles. More...
void | elm_config_profile_set (const char *profile)
| Set Elementary's profile. More...

## Detailed Description

Profiles are pre-set options that affect the whole look-and-feel of Elementary-based applications.

There are, for example, profiles aimed at desktop computer applications and others aimed at mobile, touchscreen-based ones. You most probably don't want to use the functions in this group unless you're writing an elementary configuration manager.

## Function Documentation

void elm_config_profile_dir_free | ( | const char * | p_dir | ) |

Free an Elementary's profile directory path, as returned by elm_config_profile_dir_get().

Parameters

  p_dir | The profile's path

const char* elm_config_profile_dir_get | ( | const char * | profile,
|  | Eina_Bool | is_user
| ) |  |

Get an Elementary's profile directory path in the filesystem.

One may want to fetch a system profile's dir or a user one (fetched inside $HOME).

Parameters

  profile | The profile's name
  is_user | Whether to lookup for a user profile (`EINA_TRUE`) or a system one (`EINA_FALSE`)

Returns
  The profile's directory path.

Note
  You must free it with elm_config_profile_dir_free().

const char* elm_config_profile_get | ( | void |  | ) |

Get Elementary's profile in use.

This gets the global profile that is applied to all Elementary applications.

Returns
  The profile's name

void elm_config_profile_list_free | ( | Eina_List * | l | ) |

Free Elementary's list of available profiles.

Parameters

  l | The profiles list, as returned by elm_config_profile_list_get().

Eina_List* elm_config_profile_list_get | ( | void |  | ) |

Get Elementary's list of available profiles.

Returns
  The profiles list. List node data are the profile name strings.

Note
  One must free this list, after usage, with the function elm_config_profile_list_free().

void elm_config_profile_set | ( | const char * | profile | ) |

Set Elementary's profile.

This sets the global profile that is applied to Elementary applications. Just the process the call comes from will be affected.

Parameters

  profile | The profile's name

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:12